#!/bin/sh
#

for a in compiletc bash file squashfs-tools \
		automake libtool-dev libXau perl5 libpng-dev fontconfig-dev \
		libXpm-dev libvpx-dev libX11-dev tiff-dev xorg-proto 
	do tce-load -i $a
done

EXT=libgd
TCZ=/tmp/$EXT/TCZ

sudo rm -rf /tmp/$EXT

#make clean
./configure \
	--with-x \
	|| exit

make || exit

if [ $(grep -q '^install-strip:' Makefile) ]; then
	make install-strip DESTDIR=$TCZ-dev
else
	make install DESTDIR=$TCZ-dev
	for a in $(find $TCZ-dev -type f); do file -b $a | grep -q '^ELF .*not stripped$' && strip $a; done
fi

mkdir -p $TCZ/usr/local/lib
mv $TCZ-dev/usr/local/lib/*.so* $TCZ/usr/local/lib
mv $TCZ-dev/usr/local/bin $TCZ/usr/local
mkdir -p $TCZ-dev/usr/local/bin
mv $TCZ/usr/local/bin/gdlib-config $TCZ-dev/usr/local/bin

sudo chown -R root.root $TCZ*

mksquashfs $TCZ /tmp/$EXT/$EXT.tcz -noappend
mksquashfs $TCZ-dev /tmp/$EXT/$EXT-dev.tcz -noappend

